Create a Project for an Organization
POST /api/0/organizations/{organization_id_or_slug}/projects/
Create a new project for an organization. A personal team (team-{username}) is automatically created for the caller with Team Admin role, and the project is bound to it. If the org has member project creation disabled (disable_member_project_creation), org:write scope is required.
Path Parameters
organization_id_or_slug(string)REQUIREDThe ID or slug of the organization the resource belongs to.
Body Parameters
name(string)REQUIREDThe name for the project.
slug(string)Uniquely identifies a project and is used for the interface. If not provided, it is automatically generated from the name.
platform(string)The platform for the project.
default_rules(boolean)Defaults to true where the behavior is to alert the user on every new issue. Setting this to false will turn this off and the user must create their own alerts to be notified of new issues.
Scopes
You need to authenticate via bearer auth token.
<auth_token> requires one of the following scopes:project:adminproject:readproject:write
Copied
curl https://sentry.io/api/0/organizations/{organization_id_or_slug}/projects/ \ -H 'Authorization: Bearer <auth_token>' \ -H 'Content-Type: application/json' \ -d '{}'
RESPONSESCHEMA
Copied{ "team": { "id": "2349234102", "name": "Prime Mover", "slug": "prime-mover" }, "teams": [ { "id": "2349234102", "name": "Prime Mover", "slug": "prime-mover" }, { "id": "47584447", "name": "Powerful Abolitionist", "slug": "powerful-abolitionist" } ], "id": "6758470122493650", "slug": "the-spoiled-yoghurt", "name": "The Spoiled Yoghurt", "isBookmarked": false, "isMember": true, "access": [ "project:read", "event:read", "team:read", "alerts:read", "org:read", "event:write", "project:releases", "member:read" ], "hasAccess": true, "dateCreated": "2023-03-29T15:25:21.344565Z", "environments": [ "production" ], "features": [ "alert-filters", "custom-inbound-filters", "discard-groups", "minidump", "rate-limits", "servicehooks", "similarity-indexing", "similarity-indexing-v2", "similarity-view", "similarity-view-v2" ], "firstEvent": null, "firstTransactionEvent": true, "hasSessions": false, "hasProfiles": false, "hasReplays": false, "hasFlags": false, "hasMonitors": false, "hasFeedbacks": false, "hasNewFeedbacks": false, "hasMinifiedStackTrace": false, "hasInsightsHttp": true, "hasInsightsDb": false, "hasInsightsAssets": false, "hasInsightsAppStart": false, "hasInsightsScreenLoad": false, "hasInsightsVitals": false, "hasInsightsCaches": true, "hasInsightsQueues": true, "hasInsightsAgentMonitoring": false, "hasInsightsMCP": false, "hasLogs": false, "hasTraceMetrics": false, "platform": "node-express", "platforms": [], "latestRelease": null, "hasUserReports": false, "latestDeploys": null }
Was this helpful?